GPGPARTICIPANTS-FILTER(1)

NAME
gpgparticipants-filter - filters a list of key ids as input to gpgparticipants

SYNOPSIS
gpgparticipants-filter [-h] [-o FILE] [-b GPG_BIN] [-d GPG_HOME] [-a] [--version] FILTER [FILTER ...]

DESCRIPTION
This tool filters a list of key ids from your gpg keyring as input to gpgparticipants. It sorts the alphabetically list by the first uid of each key. Per default it skips over revoked and expired keys. The output can be piped into gpgparticipants or stored in a file.

OPTIONS

  positional arguments:

FILTER
    input query, which will be passed to gpg

  optional arguments:

-h, --help
    show this help message and exit

-o FILE, --output FILE
    specifies the file where the output should be written to (per default writes to stdout)

-b GPG_BIN, --gpg-binary GPG_BIN
    custom path to gpg (default: "gpg")

-d GPG_HOME, --homedir GPG_HOME
    custom homedir for gpg (see --homedir of gpg)

-a, --all-keys
    show also revoked and expired keys

--version
    output version information and exit

SEE ALSO
gpgparticipants(1),gpg(1)